# Created by pyp2rpm-3.3.3
%global pypi_name pyxattr

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %mkrel 4
Summary:        Filesystem extended attributes for python
Group:          Development/Python
License:        LGPL
URL:            https://pypi.org/project/pyxattr
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%description
This is a C extension module for Python which implements extended attributes
manipulation. It is a wrapper on top of the attr C library - see attr(5).

%package -n     python3-%{pypi_name}
Summary:        Filesystem extended attributes for python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a C extension module for Python which implements extended attributes
manipulation. It is a wrapper on top of the attr C library - see attr(5).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if 0
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%if 0
%doc html
%endif
%{python3_sitearch}/xattr*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.7.2-4.mga9
+ Revision: 1799147
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.7.2-3.mga9
+ Revision: 1778335
- rebuild for python-3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 0.7.2-2.mga9
+ Revision: 1708556
- rebuild for python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 0.7.2-1.mga9
+ Revision: 1694307
- new version 0.7.2

* Tue Feb 18 2020 umeabot <umeabot> 0.7.1-2.mga8
+ Revision: 1541776
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 0.7.1-1.mga8
+ Revision: 1475145
- imported package python-pyxattr

